igeo.gui

## Class ISurfaceGraphicFillGL

- java.lang.Object
- - igeo.IGraphicObject
  - - igeo.gui.ISurfaceGraphicFillGL

- All Implemented Interfaces:
    IGraphicI, ISubobject

      public class ISurfaceGraphicFillGL
      extends IGraphicObject

  Graphic subobject class to draw filled faces of a surface object by OpenGL.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `initialized`
    `static boolean` | `insertPointOnDegree1TwistedSurface`
    `int` | `isoparmRatioU`
    `int` | `isoparmRatioV`
    `(package private) int` | `origUEPNum`
    `(package private) int` | `origVEPNum`
    `IVec[][]` | `quads`
    `IVec[][]` | `quadsNormal`
    `IVec2f[][]` | `quadsUV`
    `ISurfaceI` | `surface`
    `ITexture` | `texture`
    `IVec[][]` | `triangles`
    `IVec2[][]` | `triangles2DCache`
    `IVec[][]` | `trianglesNormal`
    `IVec2f[][]` | `trianglesUV`
    `double[]` | `uvalCache`
    `double[]` | `vvalCache`

    - ### Fields inherited from class igeo.IGraphicObject

      `color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISurfaceGraphicFillGL(IObject obj, ISurfaceI srf)`
    `ISurfaceGraphicFillGL(ISurface srf)`
    `ISurfaceGraphicFillGL(ISurface srf, int isoparmRatioU, int isoparmRatioV)`
    `ISurfaceGraphicFillGL(ISurfaceR srf)`
    `ISurfaceGraphicFillGL(ISurfaceR srf, int isoparmRatioU, int isoparmRatioV)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(IGraphics g)`
    `void` | `initSurface()`
    `void` | `initWithoutTrim()`
    `void` | `initWithTrim()`
    `boolean` | `isDrawable(IGraphicMode m)`
    `void` | `setAttribute(IAttribute attr)`
    `void` | `updateSurface()`
    `void` | `updateWithoutTrim()`
    `void` | `updateWithTrim()`

    - ### Methods inherited from class igeo.IGraphicObject

      `getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, getWeight, hide, isVisible, parent, parent, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, setWeight, show, update, visible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### insertPointOnDegree1TwistedSurface

          public static final boolean insertPointOnDegree1TwistedSurface

      See Also:
        Constant Field Values

    - #### isoparmRatioU

          public int isoparmRatioU

    - #### isoparmRatioV

          public int isoparmRatioV

    - #### surface

          public ISurfaceI surface

    - #### quads

          public IVec[][] quads

    - #### quadsNormal

          public IVec[][] quadsNormal

    - #### quadsUV

          public IVec2f[][] quadsUV

    - #### triangles

          public IVec[][] triangles

    - #### trianglesNormal

          public IVec[][] trianglesNormal

    - #### trianglesUV

          public IVec2f[][] trianglesUV

    - #### texture

          public ITexture texture

    - #### uvalCache

          public double[] uvalCache

    - #### vvalCache

          public double[] vvalCache

    - #### triangles2DCache

          public IVec2[][] triangles2DCache

    - #### initialized

          public boolean initialized

    - #### origUEPNum

          int origUEPNum

    - #### origVEPNum

          int origVEPNum

  - ### Constructor Detail

    - #### ISurfaceGraphicFillGL

          public ISurfaceGraphicFillGL(ISurface srf)

    - #### ISurfaceGraphicFillGL

          public ISurfaceGraphicFillGL(ISurfaceR srf)

    - #### ISurfaceGraphicFillGL

          public ISurfaceGraphicFillGL(IObject obj,
                                       ISurfaceI srf)

    - #### ISurfaceGraphicFillGL

          public ISurfaceGraphicFillGL(ISurface srf,
                                       int isoparmRatioU,
                                       int isoparmRatioV)

    - #### ISurfaceGraphicFillGL

          public ISurfaceGraphicFillGL(ISurfaceR srf,
                                       int isoparmRatioU,
                                       int isoparmRatioV)

  - ### Method Detail

    - #### initSurface

          public void initSurface()

    - #### setAttribute

          public void setAttribute(IAttribute attr)

      Overrides:
        `setAttribute` in class `IGraphicObject`

    - #### initWithoutTrim

          public void initWithoutTrim()

    - #### initWithTrim

          public void initWithTrim()

    - #### updateWithoutTrim

          public void updateWithoutTrim()

    - #### updateWithTrim

          public void updateWithTrim()

    - #### updateSurface

          public void updateSurface()

    - #### isDrawable

          public boolean isDrawable(IGraphicMode m)

      Specified by:
        `isDrawable` in interface `IGraphicI`
      Specified by:
        `isDrawable` in class `IGraphicObject`

    - #### draw

          public void draw(IGraphics g)

      Specified by:
        `draw` in interface `IGraphicI`
      Specified by:
        `draw` in class `IGraphicObject`